package net.wanji.utc.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2022/11/18 18:37
 */
@Data
public class CrossSchedulesPO {
    /** 日期ID */
    @ApiModelProperty(name = "日期ID",notes = "")
    private Integer id ;
    /** 日期名称 */
    @ApiModelProperty(name = "日期名称",notes = "")
    private String name ;
    /** 路口ID */
    @ApiModelProperty(name = "路口ID",notes = "")
    private String crossId ;
    /** 计划ID */
    @ApiModelProperty(name = "计划ID",notes = "")
    private Integer planId ;
    /** 星期：1周一;2周二，3周三，4周四，5周五，6周六，7周日，0特殊日期 */
    @ApiModelProperty(name = "星期：1周一",notes = "2周二，3周三，4周四，5周五，6周六，7周日，0特殊日期")
    private Integer week ;
    /** 特殊日期 */
    @ApiModelProperty(name = "特殊日期",notes = "")
    private Date specialDate ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date gmtCreate ;
    /** 修改时间 */
    @ApiModelProperty(name = "修改时间",notes = "")
    private Date gmtModified ;
}
