package net.wanji.utc.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2022/11/21 11:18
 */
@Data
public class SignalStatusLogPO {
    /** 日志ID */
    @ApiModelProperty(name = "日志ID",notes = "")
    private Integer id ;
    /** 信号机ID */
    @ApiModelProperty(name = "信号机ID",notes = "")
    private String signalId ;
    /** 信号状态：0离线；1在线 */
    @ApiModelProperty(name = "信号状态：0离线；1在线",notes = "")
    private Integer status ;
    /** 故障类型：0正常；1检测器故障；2时钟故障；3电源故障；4驱动模块故障；5信号灯故障；6箱门开启；7方案错误；8绿冲突；9红全熄；10行人红熄； */
    @ApiModelProperty(name = "故障类型：0正常；1检测器故障；2时钟故障；3电源故障；4驱动模块故障；5信号灯故障；6箱门开启；7方案错误；8绿冲突；9红全熄；10行人红熄；",notes = "")
    private Integer faultType ;
    /** 控制类型：1时间表；2全红；3黄闪；4锁定；5中心优化；6MEC优化；7现场手动 */
    @ApiModelProperty(name = "控制类型：1时间表；2全红；3黄闪；4锁定；5中心优化；6MEC优化；7现场手动",notes = "")
    private Integer controlType ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date gmtCreate ;
}
