package net.wanji.utc.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/11/18 17:15
 */
@Data
@ApiModel(value = "CrossSchedulesInVO", description = "查询时间表数据输入参数")
public class CrossSchedulesInVO {
    @ApiModelProperty(value = "厂商缩写 HK")
    String manufacturerCode;

    @ApiModelProperty(value = "路口列表")
    List<String> crossIdList;
}
