package net.wanji.utc.vo;

import lombok.Getter;
import lombok.Setter;
import net.wanji.utc.common.baseentity.BaseCrossInfo;

import java.util.List;

/**
 * @author wuxiaokai
 * @date 2022/11/24 15:55:08
 */
@Setter
@Getter
public class PlanSendVO extends BaseCrossInfo {

    private List<Data> data;

    @Setter
    @Getter
    private static class Data {
        private String crossCode;
        private List<Plan> planList;

        @Setter
        @Getter
        private static class Plan {
            private String planNo;
            private List<Section> sectionList;

            @Setter
            @Getter
            private static class Section {
                private String timeSecNo;
                private String patternNo;
                private String beginTime;
            }
        }
    }
}
