package net.wanji.utc.vo.schedulesend;

import lombok.Data;
import net.wanji.utc.common.baseentity.BaseCrossInfo;
import net.wanji.utc.vo.plansend.SpecialDay;
import net.wanji.utc.vo.plansend.Week;

import java.util.List;

/**
 * 时间表下发VO
 *
 * @author wuxiaokai
 * @date 2022/11/23 14:11:09
 */
@Data
public class ScheduleSendVO extends BaseCrossInfo {

    /**
     * 星期
     */
    private List<Week> weeks;

    /**
     * 特殊日期
     */
    private List<SpecialDay> specialDays;
}
