package net.wanji.utc.vo.systemadmin;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Kent HAN
 * @date 2022/11/24 14:05
 */
@Data
@ApiModel(value = "ManufacturerApiInfoListInVO", description = "查询接口列表输入参数")
public class ManufacturerApiInfoListInVO {
    @ApiModelProperty(required = true, value = "页号")
    Integer pageNum;
    @ApiModelProperty(required = true, value = "每页记录数")
    Integer pageSize;
    @ApiModelProperty( value = "接口名称")
    String name;
    @ApiModelProperty( value = "接口类型")
    String typeStr;
    @ApiModelProperty( value = "接口厂商")
    String manufacturerNick;
}
