package net.wanji.utc.service.staticinfo;

import net.wanji.utc.common.baseentity.BaseCrossInfo;
import net.wanji.utc.common.genericentity.ManufacturerRes;
import net.wanji.utc.common.genericentity.OutVO;
import net.wanji.utc.vo.CrossSchedulesInVO;
import net.wanji.utc.vo.DetailCrossInfoVO;
import net.wanji.utc.vo.PlanSectionInVO;
import net.wanji.utc.vo.SchemePhaseLightsInVO;

public interface StaticInfoService {

    ManufacturerRes<DetailCrossInfoVO> crossBasicInfo(OutVO<BaseCrossInfo> outVO);

    void schemePhaseLights(SchemePhaseLightsInVO schemePhaseLightsInVO) throws Exception;

    void planSection(PlanSectionInVO planSectionInVO) throws Exception;

    void crossSchedules(CrossSchedulesInVO crossSchedulesInVO) throws Exception;
}
