package net.wanji.utc.service.systemadmin;

import com.github.pagehelper.PageInfo;
import net.wanji.utc.po.ManufacturerInfoPO;
import net.wanji.utc.vo.systemadmin.DeleteByIntegerIdListInVO;
import net.wanji.utc.vo.systemadmin.ManufacturerInsertOrUpdateInVO;
import net.wanji.utc.vo.systemadmin.ManufacturerListInVO;

/**
 * @author Kent HAN
 * @date 2022/11/24 8:49
 */
public interface ManufacturerService {
    PageInfo<ManufacturerInfoPO> list(ManufacturerListInVO manufacturerListInVO);

    void insertOrUpdate(ManufacturerInsertOrUpdateInVO inVO);

    void delete(DeleteByIntegerIdListInVO inVO);
}
