package net.wanji.utc.vo.plansend;

import lombok.Data;
import net.wanji.utc.common.baseentity.BaseCrossInfo;

import java.util.List;

/**
 * 计划下发VO
 *
 * @author wuxiaokai
 * @date 2022/11/21 17:10:43
 */
@Data
public class PlanSendVO extends BaseCrossInfo {

    /**
     * 星期
     */
    private List<Week> weeks;

    /**
     * 特殊日期
     */
    private List<SpecialDay> specialDays;

    /**
     * 日时段方案数据对象列表
     */
    private List<SectionPlan> sectionPlans;
}
