package net.wanji.utc.vo.systemadmin;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Kent HAN
 * @date 2022/11/24 8:41
 */

@Data
@ApiModel(value = "ManufacturerListInVO", description = "查询厂商列表输入参数")
public class ManufacturerListInVO {
    @ApiModelProperty(required = true, value = "页号")
    Integer pageNum;
    @ApiModelProperty(required = true, value = "每页记录数")
    Integer pageSize;
    @ApiModelProperty( value = "厂商名称")
    String name;
}
